<?php

use tests\codeception\common\_pages\LoginPage;
use tests\codeception\frontend\FunctionalTester;

/* @var $scenario Codeception\Scenario */

$I = new FunctionalTester($scenario);
$loginPage = LoginPage::openBy($I);

$I->wantTo("m'assurer que le formulaire de connexion fonctionne");
$I->see('Connexion', 'h1');

$I->amGoingTo('me connecter avec des identifiants vides');
$loginPage->login('', '');
$I->expectTo("voir des messages d'erreur");
$I->see('Champs obligatoire');

$I->amGoingTo('me connecter avec des identifiants invalides');
$loginPage->login('demo@opendistrib.net', 'wrong');
$I->expectTo("voir des messages d'erreur");
$I->see('Email ou mot de passe incorrect');

$I->amGoingTo('me connecter avec une adresse email inconnue');
$loginPage->login('wrong@opendistrib.net', 'password');
$I->expectTo("voir des messages d'erreur");
$I->see('Email ou mot de passe incorrect');

$I->amGoingTo('me connecter avec des identifiants valides');
$loginPage->login('sfriesen@jenkins.info', 'password_0');
$I->expectTo('voir les informations liées à l\'utilisateur connecté');
$I->see('Déconnexion');